#pragma once

#include "IPlatformWindow.h"

class XcbWindow : public IPlatformWindow
{
public:
    XcbWindow(int hwnd);
    virtual ~XcbWindow() = default;

    static std::unique_ptr<XcbWindow> Create(int hwnd);

    int GetHandle() const;
    unsigned GetGraphicsContext() const;

private:
    int mHandle{-1};
    unsigned mGraphicsContext {0};
};

using XcbWindowPtr = std::unique_ptr<XcbWindow>;

